# __gnu_parallel::generic_for_each_selector< It > Struct Template Reference

Inheritance diagram for __gnu_parallel::generic_for_each_selector< It >:

List of all members.

## Detailed Description

### template<typename It>
struct __gnu_parallel::generic_for_each_selector< It >

Generic selector for embarrassingly parallel functions.

Definition at line 49 of file for_each_selectors.h.

## Public Attributes

- It finish_iterator

## Member Data Documentation

template<typename It>

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 54 of file for_each_selectors.h.

Referenced by std::__parallel::adjacent_difference_switch(), std::__parallel::transform1_switch(), and std::__parallel::transform2_switch().

The documentation for this struct was generated from the following file:

- for_each_selectors.h